=== requirements.txt ===
typing_extensions; python_version < "3.11"
