=== debian/changelog ===
python-timecode (1.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #940242)

 -- Arian Ott <arian.ott@ieee.org>  Thu, 29 Jan 2026 09:37:37 +0000
