=== debian/control ===
Source: python-timecode
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Arian Ott <arian.ott@ieee.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: https://github.com/eoyilmaz/timecode
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-timecode
Vcs-Git: https://salsa.debian.org/python-team/packages/python-timecode.git

Package: python3-timecode
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python module for manipulating SMPTE timecode
 Supports all formats in the ST12 standard, as well as any arbitrary
 integer frame rates and some default str values, frame rates and
 milliseconds (1000 fps) and fractional frame rates like "30000/1001".
